import './progress.scss';

export default D.declare('view.cmp.Progress', () => {
    return <div class="progress-bar">
        {(()=>{
            var out = [];
            var el;
            for (var i = 0; i < 22; i++) {
                el = document.createElement('span');
                if (i < 20) {
                    el.classList.add('completed');
                }
                out.push(el);
            }
            return out;
        })()}
    </div>
})
